;(function ($, smartlingApi) {
    "use strict";

    //On the advanced node translation should be fetched all subnodes(including page content nodes)
    smartlingApi.getSubNodesUrlPredicateParameter = function() {
        return '';
    };

    History.enabled = false;

    var CONTENT_ROOTE_ID = 'advanced-node-translator-content-tree';

    var FETCH_ITEM_PROPERTIES_URL_EXTENSION = '.strings.smartling.json?_dc=' + new Date().getTime();

    var PROPERTY_ROW_TPL = _.template('<tr is="coral-table-row"> <td is="coral-table-cell"><%= name %> <td is="coral-table-cell"><%= text %></td> </tr>')

    var $panelRoot = null;
    var $translateButton = null;
    var $translateDialog = null;
    var selectedPath;

    smartlingApi.getContentPath = function() {
        return selectedPath;
    }

    $(document).on('sm-advanced-translation-item-select', function(event, details) {

        if (details.translatable) {
            $translateButton.removeAttr('disabled');
        } else {
            $translateButton.attr('disabled', 'disabled');
        }

        $panelRoot.empty();
        selectedPath = details.nodePath;

        $.ajax({
            url: selectedPath + FETCH_ITEM_PROPERTIES_URL_EXTENSION
        }).done(function (data) {
            data.forEach(function(item){
                $panelRoot.append(PROPERTY_ROW_TPL(item));
            });
        });
    });

    $(document).on('sm-advanced-translation-item-unselect', function(event) {
        $panelRoot.empty();
        $translateButton.attr('disabled', 'disabled');
    });

    $(document).on("foundation-contentloaded", function (e) {
        var contentTree = new smartlingApi.SmartlingContentTree();
        contentTree.initialize({container: document.getElementById(CONTENT_ROOTE_ID)});

        //Expand left panel by default
        $('#shell-collectionpage-rail').addClass('foundation-layout-panel-rail-active');

        $panelRoot = $('#advanced-translation-properties-list');
        $translateButton = $('.smartling-atvanced-node-translate-button');
        $translateButton.attr('disabled', 'disabled');

        $translateDialog = $('#classic-smartling-job-dialog');

        $translateButton.on('click', function() {

            $translateDialog.trigger("smartlingTranslateDialog:open");

            $.ajax({
                url: '/services/smartling/locales?path=' + smartlingApi.getContentPath()
            }).done(function(data) {
                $(document).trigger('languageSelector:resetLocales', {locales: data});
            });
            $translateDialog.find('input[name=paths]').val(smartlingApi.getContentPath())
            $translateDialog.get(0).show();
        });
    });
}(jQuery, SmartlingApi));
