CQ.Smartling.TagTargetInfoPanel = CQ.Ext.extend(CQ.Smartling.DictionaryTargetInfoPanel, {});
CQ.Ext.reg("tagtargetinfo", CQ.Smartling.TagTargetInfoPanel);

CQ.Smartling.TagMappingDialog = CQ.Ext.extend(CQ.Smartling.DictionaryMappingDialog, {
    getConfigType: function() {
        return "TAG";
    },

    getTranslationConfigsPanel: function() {
        return {
               title: "Adobe CQ settings",
               items: [
                   {
                       xtype: "fieldset",
                       autoScroll: true,
                       defaults: {
                           xtype: "textfield",
                           width: 375
                       },
                       items: [
                           {
                               fieldLabel: "Source Path",
                               id: "tagSourcePath",
                               ref: "../sourcePath",
                               name: "sourcePath",
                               value: this.sourcePath,
                               rootPath: "/",
                               selectOnFocus: "true",
                               editable: false,
                               allowBlank: false,
                               regex: /\/.+/,
                               regexText: "Source path shouldn't be root",
                               xtype: "pathfield",
                               predicate: 'smartlingtag'
                           },
                           {
                               fieldLabel: "Source Locale",
                               id: "tagSourceLocalePath",
                               ref: "../sourceLocalePath",
                               name: "sourceLocalePath",
                               options: "/services/translation/cqlocales",
                               optionsRoot: "cqLocales",
                               optionsTextField: "label",
                               optionsValueField: "path",
                               allowBlank: false,
                               msgTarget: "qtip",
                               type: "select",
                               xtype: "selection"
                           },
                           {
                               fieldLabel: "Target Info",
                               name: "dictionaryTargetInfoPanel",
                               ref: "../dictionaryTargetInfoPanel",
                               autoScroll: true,
                               height: 370,
                               padding: "5px 5px 0 5px",
                               xtype: "panel",
                               items: [
                                   {
                                       name: "dictionaryTargetInfo",
                                       ref: "../dictionaryTargetInfo",
                                       orderable: false,
                                       width: 350,
                                       fieldConfig: {
                                           xtype: "tagtargetinfo"
                                       },
                                       xtype: "multifield"
                                   }
                               ]
                           }
                       ]
                   }
               ]
           }
    }
});
CQ.Ext.reg("smartlingTagMappingdialog", CQ.Smartling.TagMappingDialog);