CQ.Smartling.PropertyMappingDialog = CQ.Ext.extend(CQ.Smartling.Dialog, {
    constructor: function (config) {
        CQ.Ext.applyIf(config, {
            title: "Properties to be Submitted",
            height: 450,
            resizable: true,
            //modal: false,
            languages: [],

            items: [
                {
                    "xtype": "selection",
                    "fieldLabel": "Properties are for Assets",
                    "name": "isAssetProperty",
                    "ref": "./isAssetProperty",
                    "type": "checkbox"
                },
                {
                    "fieldLabel": "Sling Resource Type",
                    "xtype": "textfield",
                    "name": "resourceType",
                    "ref": "./resourceType",
                    "width": 250,
                    "allowBlank": false
                },
                {
                    "typeHint": "String",
                    "fieldLabel": "Property Name",
                    "xtype": "multifield",
                    "name": "properties",
                    "ref": "./properties"
                }
            ]
        });


        CQ.Smartling.PropertyMappingDialog.superclass.constructor.call(this, config);
    },

    save: function () {
        var isAdd = !this.rec;

        var rec = isAdd ? new this.configStore.recordType({ key: '' }) : this.rec;

        rec.beginEdit();
        rec.set("isAssetProperty", panelItems.items.isAssetProperty.getValue());
        rec.set("resourceType", panelItems.items.resourceType.getValue());
        rec.set("properties", panelItems.items.properties.getValue());
        rec.endEdit();

        if (isAdd) {
            this.configStore.insert(0, rec);
        }
        this.hide();

    },

    addTranslations: function () {

    },


    editTranslations: function (rec) {

        this.show();
    }
});
CQ.Ext.reg("smartlingPropertyMappingDialog", CQ.Smartling.PropertyMappingDialog);
