<%@ page session="false" %>
<%
%>
<%@ page import="org.apache.sling.api.resource.Resource,
                 org.apache.sling.api.resource.ResourceResolver,
                 org.apache.sling.commons.json.io.JSONWriter" %>
<%@ page import="javax.jcr.Node" %>
<%@ page import="javax.jcr.NodeIterator" %>
<%@ page import="java.util.Map" %>
<%@ page import="java.util.TreeMap" %>
<%
%>
<%@ include file="/libs/foundation/global.jsp" %>
<%!

    //  ['configName', 'sourcePath', 'targetPath', 'locale', 'projectId', 'userId'];

    private static class ConfigurationMap {
        String configId;
        String configName;
        String sourcePath;
        String targetPath;
        String locale;
        String projectId;
        String userId;
        String[] configurations;
    }

%><%

    String path = request.getParameter("path");
    if (path == null) path = ""; //"/libs/wcm/core/i18n";

    ResourceResolver rr = slingRequest.getResourceResolver();
    Resource i18n = rr.getResource(path);
    Resource configurationRoot = rr.getResource(path);
    Map<String, ConfigurationMap> configurations = new TreeMap<String, ConfigurationMap>();


    Node configurationRootnode = configurationRoot.adaptTo(Node.class);
    NodeIterator nodes = configurationRootnode.getNodes();

    while (nodes.hasNext()) {
        Node node = nodes.nextNode();
        try {
            ConfigurationMap configurationMap = new ConfigurationMap();
            configurationMap.configId = node.getName();
            configurationMap.configName = node.getProperty("configName").getString();
            configurationMap.sourcePath = node.getProperty("sourcePath").getString();
            configurationMap.targetPath = node.getProperty("targetPath").getString();
            configurationMap.locale = node.getProperty("locale").getString();
            configurationMap.userId = node.getProperty("userId").getString();
            configurationMap.projectId = node.getProperty("projectId").getString();
            configurations.put(node.getName(), configurationMap);

        } catch (Exception ex) {
            out.println("PATH : " + path);
            out.println("ERROR : " + ex.toString());
        }
    }


    if (i18n == null) {
        response.sendError(400, "Path '" + path + "' not found.");
        return;
    }

%><%--

    * JSON format:

    {
        'results': 2,
        'translations': [
            { 'key': 'source text', 'string': 'source text', 'comment': 'some hint', 'de': 'deutsch', 'fr' : 'francais' },
            { 'key': '2nd text',    'string': '2nd text',    'comment': 'some hint', 'de': 'deutsch', 'fr' : 'francais' }
        ]
    }
--%><%


    response.setContentType("application/json");
    response.setCharacterEncoding("utf-8");

    JSONWriter w = new JSONWriter(response.getWriter());
    w.object();

    w.key("results").value(configurations.size());
    w.key("translations");
    w.array();
    for (ConfigurationMap t : configurations.values()) {
        w.object();
        w.key("configId").value(t.configId);
        w.key("configName").value(t.configName);
        w.key("sourcePath").value(t.sourcePath);
        w.key("targetPath").value(t.targetPath);
        w.key("locale").value(t.locale);
        w.key("userId").value(t.userId);
        w.key("projectId").value(t.projectId);
        w.endObject();
    }
    w.endArray();

    w.endObject();
%>
