CQ.Ext.ns('SMARTLING.ui');

SMARTLING.ui.tcc = SMARTLING.ui.tcc || {};

SMARTLING.ui.tcc.Tree = CQ.Ext.extend(CQ.Ext.tree.TreePanel, {
    selectedPath: "/",

    constructor: function (grid) {
        var tree = this;

        SMARTLING.ui.tcc.Tree.superclass.constructor.call(this, {
            region: 'west',
            width: CQ.themes.wcm.SiteAdmin.TREE_WIDTH,
            autoScroll: true,
            containerScroll: true,
            collapsible: true,
            collapseMode: 'mini',
            hideCollapseTool: true,
            animate: true,

            loader: tree._getTreeLoader(),
            root: new CQ.Ext.tree.AsyncTreeNode({
                text: '/',
                expanded: true
            }),
            listeners: {
                selectionchange: function (tree, path) {
                    grid.setSelectedPath(path);
                    grid.setLangs(tree.selModel.getSelectedNode().attributes.languages);
                    grid.reloadGrid(tree.selModel.getSelectedNode().attributes.type);
                }
            }
        });

    },

    _getTreeLoader: function () {
        return new CQ.Ext.tree.TreeLoader({
            requestMethod: 'GET',
            dataUrl: '/.tree.tcc.json',
            baseParams: {
                _charset_: 'utf-8'
            },
            baseAttrs: {
                singleClickExpand: true
            },
            listeners: {
                beforeload: function (loader, node) {
                    var path = node.getPath() === '/' ? '/' : node.getPath().substring(1);
                    loader.dataUrl = path + '.tree.tcc.json';
                }
            }
        });
    }


});
